Bug 1709395 - [DR] Remaining doc issues of "etcd quorum loss" doc
Summary: [DR] Remaining doc issues of "etcd quorum loss" doc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Sam Batschelet
QA Contact: ge liu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-13 14:01 UTC by Xingxing Xia
Modified: 2019-06-04 10:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:49:49 UTC

Description Xingxing Xia 2019-05-13 14:01:55 UTC
For the "etcd quorum loss" doc https://docs.google.com/document/d/1Z7xow84WdLUkgFiOaeY-QXmH1H8wnTg2vP1pQiuj22o/ , there are below issues to update for user to follow:

Part 1: "After the new control plane hosts have been created please correct the dns entries for etcd-#.clustername.basedomain, one of them will correctly point at the remaining member, the other two will be incorrect and need to be updated with the address of your new hosts."

This part does not have detail guide. User may not know how to. Please add the details. For me, I knew another doc https://docs.google.com/document/d/1JtpPdYYr5nF2ZjfbfQ5vAlGWIE267yWCyCUaZvJMWh4/edit mentioned it and I referred to that.

Part 2: "Now is also a good time to update your load balancer. If you’re using a cluster managed load balancer it will have been updated for you automatically. If not, ensure that the load balancer is updated with the current addresses of your control plane hosts."

Same, no details to follow for user. Please add details. Could refer to above mentioned doc too.

Part 3: "recover.sh 10.0.143.125"
Should update to:
chmod a+x recover.sh
./recover.sh 10.0.143.125

Comment 2 Xingxing Xia 2019-05-14 08:21:14 UTC
Part 4 (just a question): Sam, for "./recover.sh 10.0.143.125" you commented "After this, we want to verify etcd membership each time to ensure it appears correctly ...". Must these commands be added in doc? If yes, please help add the full commands for user to follow. Thanks.

Comment 4 Sam Batschelet 2019-05-15 17:43:44 UTC
I will work to resolve the rest of the documentation today with Andrea Hoffer.

Comment 7 Xingxing Xia 2019-05-17 08:58:13 UTC
(In reply to Xingxing Xia from comment #0)
> For me, I knew another doc https://docs.google.com/document/d/1JtpPdYYr5nF2ZjfbfQ5vAlGWIE267yWCyCUaZvJMWh4/edit mentioned it and I referred to that.
> Part 2: "Now is also a good time to update your load balancer. If you’re
> using a cluster managed load balancer it will have been updated for you
> automatically. If not, ensure that the load balancer is updated with the
> current addresses of your control plane hosts."
> 
> Same, no details to follow for user. Please add details. Could refer to
> above mentioned doc too.

All reported doc parts have been updated well except part 2, which does not get update. In my testing, I indeed referred to the mentioned doc to update the load balancer, otherwise I didn't know how.

Comment 8 Sam Batschelet 2019-05-17 18:20:53 UTC
> All reported doc parts have been updated well except part 2, which does not get update. In my testing, I indeed referred to the mentioned doc to update the load balancer, otherwise I didn't know how.

Load balancer section has been added with screenshots.

https://docs.google.com/document/d/1Z7xow84WdLUkgFiOaeY-QXmH1H8wnTg2vP1pQiuj22o/edit#

Comment 9 Xingxing Xia 2019-05-23 02:13:07 UTC
LGTM

Comment 11 errata-xmlrpc 2019-06-04 10:48:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.